## marco 1.24.0

=== meson_options.txt ===
option('disable-verbose-mode',
  type: 'boolean', value: true,
  description: 'disable marco\'s ability to do verbose logging, for embedded/size-sensitive custom builds')

option('disable-sm',
  type: 'boolean', value: false,
  description: 'disable marco\'s session management support, for embedded/size-sensitive custom non-MATE builds')

option('disable-startup-notification',
  type: 'boolean', value: false,
  description: 'disable marco\'s startup notification support, for embedded/size-sensitive custom non-MATE builds')

option('disable-compositor',
  type: 'boolean', value: false,
  description: 'disable marco\'s compositing manager')

option('disable-xsync',
  type: 'boolean', value: false,
  description: 'disable marco\'s use of the XSync extension')

option('disable-render',
  type: 'boolean', value: false,
  description: 'disable marco\'s use of the RENDER extension')

option('disable-shape',
  type: 'boolean', value: false,
  description: 'disable marco\'s use of the shaped window extension')

option('disable-xinerama',
  type: 'boolean', value: false,
  description: 'disable marco\'s use of the Xinerama extension')

## marco 1.8.1

=== debian/changelog ===
marco (1.8.1-0+qiana) qiana; urgency=low

  * New upstream release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 10 Jul 2014 08:58:07 +0100

marco (1.8.0-0) unstable; urgency=low

  * New upstream release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 05 Mar 2014 21:33:14 +0100

marco (1.7.90-1) unstable; urgency=low

  * New upstream development release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Tue, 18 Feb 2014 20:27:51 +0100

marco (1.7.0-1) unstable; urgency=low

  * New upstream release.

 -- stefano <stefano@debian>  Sat, 26 Oct 2013 14:08:27 +0200

=== debian/control ===
Source: marco
Section: x11
Priority: optional
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Uploaders: Steve Zesch <stevezesch2@gmail.com>
Build-Depends: debhelper (>= 9),
               mate-common,
               intltool,
               libgtk2.0-dev,
               libpango1.0-dev,
               libcanberra-gtk-dev,
               libglib2.0-dev,
               libstartup-notification0-dev,
               libgtop2-dev,
               libxcomposite-dev,
               libxfixes-dev,
               libxrender-dev,
               libxdamage-dev,
               libxcursor-dev,
               libxt-dev,
               libx11-dev,
               libxinerama-dev,
               libxext-dev,
               libxrandr-dev,
               libsm-dev,
               libice-dev,
               yelp-tools,
               mate-dialogs
Standards-Version: 3.9.5
Homepage: http://www.mate-desktop.org/

Package: marco
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mate-dialogs,
         marco-common (= ${source:Version}),
         libmarco-private0 (= ${binary:Version}),
Breaks: mate-window-manager (<= 1.0.0-2)
Provides: x-window-manager
Description: lightweight GTK+ window manager
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.

Package: marco-common
Architecture: all
Depends: ${misc:Depends}
Breaks: mate-window-manager (<= 1.0.0-2)
Description: launcher and docking facility for MATE (common files)
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the architecture independent files.

Package: marco-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         marco (= ${binary:Version}),
         libmarco-private0 (= ${binary:Version}),
Description: lightweight GTK+ window manager (debugging symbols)
 This package contains debugging symbols for marco and the
 libmarco-private0 library. It is provided to help debugging problems.
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: libmarco-private0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Breaks: mate-window-manager (<= 1.0.0-2), libmarco
Conflicts: libmarco
Replaces: libmarco
Provides: libmarco
Description: library for marco window manager
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the library.

Package: libmarco-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libmarco-private0 (= ${binary:Version}),
Breaks: mate-window-manager (<= 1.0.0-2)
Description: library for marco window manager (development files)
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the development files.

## marco 1.8.1+dfsg1

=== debian/changelog ===
marco (1.8.1+dfsg1-1~bpo70+1) wheezy-backports; urgency=low

  * Upload to wheezy-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Jul 2014 00:19:18 +0200

marco (1.8.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Jul 2014 19:00:07 +0200

marco (1.8.0+dfsg1-5~bpo70+1) wheezy-backports; urgency=low

  * Upload to wheezy-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Jun 2014 14:35:55 +0200

marco (1.8.0+dfsg1-5) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/rules:
    + Replace on dh_install --list-missing -> --fail-missing.
    + Remove non-packaged *.la files after build.

  [ Mike Gabriel ]
  * debian/marco.prerm:
    + Fix severe copy+paste flaw. We need to remove an alternative for
      x-window-manager (not x-session-manager) and we remove marco (not
      mate-session). (Closes: #749593).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 May 2014 11:46:58 +0200

marco (1.8.0+dfsg1-4~bpo70+1) wheezy-backports; urgency=low

  * Upload to wheezy-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2014 15:09:11 +0200

marco (1.8.0+dfsg1-4) unstable; urgency=low

  * debian/rules:
    + Fix copy+paste error in tarball repacking code.
  * postinst/prerm:
    + Register marco as x-window-manager with Debian's alternatives system.
      (Closes: #746781).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2014 14:37:06 +0200

marco (1.8.0+dfsg1-3) unstable; urgency=low

  * debian/patches:
    + Add 0002_gtk3-frame-extents-with-marco.patch. Tell GTK3 that marco
      supports _GTK_FRAME_EXTENTS hints.
  * debian/rules:
    + Enable parallel builds.
    + Turn on compiler commands during package build (configure option:
      --disable-silent-rules).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Apr 2014 17:22:25 +0200

marco (1.8.0+dfsg1-2) unstable; urgency=low

  * debian/copyright:
    + Point to git.mate-desktop.org in Source: field.
  * debian/control:
    + Drop B-D: mate-dialogs.
    + Add B-D: zenity.
    + Also add zenity as dependency to bin:package marco.
  * debian/patches:
    + Add patch 0001_use-zenity-instead-of-mate-dialogs.patch. Use zenity
      instead of mate-dialogs. (Closes: #742011).
    + Fix upstream flaw in 0001_use-zenity-instead-of-mate-dialogs.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 19 Mar 2014 11:38:05 +0100

marco (1.8.0+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Repack upstream tarball and omit non-DFSG (GFDL-1.1) files
    (creating themes documentation).
  * debian/watch:
    + Use tagged CGit tarball snapshots as upstream source.
    + Mangle Debian package version.
  * debian/copyright:
    + Adapt to files in new (repacked) upstream tarball.
  * debian/rules:
    + Build package using autogen.sh.
  * debian/control:
    + Add B-D: yelp-tools.
    + Drop B-D: mate-doc-utils, mate-doc-utils-gnome.
  * debian/patches:
    + Drop patch 1001_hypen-used-as-minus-sign-on-man-page.patch. Fixed
      upstream.
    + Add patch 2001_omit-gfdl-licensed-theme-documentation.patch. Don't build
      GFDL-1.1 licensed files that got removed from the repacked tarball.
  * debian/marco-common.install: 
    + Marco's arch-indep files now reside in /usr/share/marco (not
      /usr/share/mate-window-manager).
    + Install gsettings conversion map into bin:package marco-common.
  * lintian:
    + Drop unused overrides.
    + Add override for shlib-calls-exit in bin:package libmarco-private0.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 11 Mar 2014 20:38:14 +0100

marco (1.6.2-1) unstable; urgency=low

  * Initial release. (Closes: #728493).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Jan 2014 19:52:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: marco
 Section: x11
 Priority: optional
-Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
-Uploaders: Steve Zesch <stevezesch2@gmail.com>
+Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
+           Stefano Karapetsas <stefano@karapetsas.com>,
+           Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: debhelper (>= 9),
                mate-common,
                intltool,
@@ -25,28 +27,32 @@
                libsm-dev,
                libice-dev,
                yelp-tools,
-               mate-dialogs
+               zenity,
 Standards-Version: 3.9.5
 Homepage: http://www.mate-desktop.org/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/marco.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-mate/marco.git
 
 Package: marco
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         mate-dialogs,
+         zenity,
          marco-common (= ${source:Version}),
          libmarco-private0 (= ${binary:Version}),
 Breaks: mate-window-manager (<= 1.0.0-2)
 Provides: x-window-manager
-Description: lightweight GTK+ window manager
+Description: lightweight GTK+ window manager for MATE
  Marco is a small window manager, using GTK+ to do everything. It is
  developed mainly for the MATE Desktop.
+ .
+ This package contains the marco window manager itself.
 
 Package: marco-common
 Architecture: all
 Depends: ${misc:Depends}
 Breaks: mate-window-manager (<= 1.0.0-2)
-Description: launcher and docking facility for MATE (common files)
+Description: lightweight GTK+ window manager for MATE (common files)
  Marco is a small window manager, using GTK+ to do everything. It is
  developed mainly for the MATE Desktop.
  .
@@ -58,20 +64,23 @@
 Architecture: any
 Depends: ${misc:Depends},
          marco (= ${binary:Version}),
-         libmarco-private0 (= ${binary:Version}),
-Description: lightweight GTK+ window manager (debugging symbols)
- This package contains debugging symbols for marco and the
- libmarco-private0 library. It is provided to help debugging problems.
+Description: lightweight GTK+ window manager for MATE (debugging symbols)
+ Marco is a small window manager, using GTK+ to do everything. It is
+ developed mainly for the MATE Desktop.
+ .
+ This package contains the debugging symbols for the marco executable.
+ .
  The debugging symbols are installed in /usr/lib/debug and will
  automatically be used by gdb.
 
 Package: libmarco-private0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Breaks: mate-window-manager (<= 1.0.0-2), libmarco
-Conflicts: libmarco
+Breaks: mate-window-manager (<= 1.0.0-2),
+        libmarco,
 Replaces: libmarco
 Provides: libmarco
 Description: library for marco window manager
@@ -80,9 +89,29 @@
  .
  This package contains the library.
 
+
+Package: libmarco-private0-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         libmarco-private0 (= ${binary:Version}),
+Breaks: marco-dbg (<= 1.6.2-1~),
+Replaces: marco-dbg (<= 1.6.2-1~),
+Description: library for marco window manager (debugging symbols)
+ Marco is a small window manager, using GTK+ to do everything. It is
+ developed mainly for the MATE Desktop.
+ .
+ This package contains debugging symbols for the library.
+ .
+ The debugging symbols are installed in /usr/lib/debug and will
+ automatically be used by gdb.
+
 Package: libmarco-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libmarco-private0 (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +dfsg1
VER  ?= $(subst $(DTYPE),,$(UVER))

DHFLAGS=--parallel

%:
	dh $@ $(DHFLAGS)

override_dh_install:
	rm -f debian/tmp/usr/lib/*/*.la
	dh_install --fail-missing

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules \
		--localstatedir=/var \
		--libexecdir=/usr/lib/mate-window-manager \
		--disable-static \
		--enable-startup-notification=yes \
		--disable-scrollkeeper

override_dh_strip:
	dh_strip -pmarco --dbg-package=marco-dbg
	dh_strip -plibmarco-private0 --dbg-package=libmarco-private0-dbg

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	    && $(RM) -r -v \
	        doc/creating_themes
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"

## marco 1.8.2

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	rm -rfv debian/tmp/usr/share/MateConf/gsettings/marco.convert
	rm -rfv debian/tmp/usr/lib/*/libmarco-private.la
	dh_install --list-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		--localstatedir=/var \
		--libexecdir=/usr/lib/mate-window-manager \
		--disable-static \
		--enable-startup-notification=yes \
		--disable-scrollkeeper \
		--with-gtk=2.0

override_dh_strip:
	dh_strip --dbg-package=marco-dbg

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
http://pub.mate-desktop.org/releases/1.8/marco-(.*)\.tar\.xz

## marco 1.8.2+dfsg1

=== debian/changelog ===
marco (1.8.2+dfsg1-6) unstable; urgency=medium

  * debian/patches:
    + Add 0007_correct-name-for-missing-icon-in-preview-widget.patch. Also use
      correct image name for missing icons in the preview widget. (Closes:
      #780104). Follow-up fix for #778824.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Mar 2015 12:02:55 +0100

marco (1.8.2+dfsg1-5) unstable; urgency=medium

  * debian/patches:
    + Add 0006_correct-name-for-missing-icon.patch. Use correct name for
      missing icon. (Closes: #778824).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Mar 2015 05:54:08 +0100

marco (1.8.2+dfsg1-4) unstable; urgency=medium

  * debian/patches:
    + Add 0005_fix-resizing-csd-windows.patch. Fix resizing CSD windows.
      (Closes: #751075).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Oct 2014 01:46:52 +0200

marco (1.8.2+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    + Add 0004_dont-switch-workspace-when-switching-to-sticky-window.patch.
      Don't switch workspace when switching to sticky windows. (Closes:
      #766428).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Oct 2014 12:28:38 +0200

marco (1.8.2+dfsg1-2) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control: Bump Standards: to 3.9.6. No changes needed.

  [ Mike Gabriel ]
  * debian/patches:
    + Add 0002_update-keybindings-files-with-new-name.patch. Fix window manager
      name in keybindings files.
    + Add 0003_no-shadows-to-ARGB-windows.patch. Don't add shadows to ARGB
      windows. Required with latest mate-themes for GTK-3.14.
  * debian/rules:
    + Use upstream's NEWS file as upstream ChangeLog.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 23 Oct 2014 01:17:44 +0200

marco (1.8.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0002_gtk3-frame-extents-with-marco.patch. It was picked from
      upstream and is included in latest release.
  * debian/copyriht:
    + Update to match files in latest upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Oct 2014 23:48:21 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
                libice-dev,
                yelp-tools,
                zenity,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.mate-desktop.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/marco.git;a=summary
 Vcs-Git: git://anonscm.debian.org/pkg-mate/marco.git

## marco 1.8.3+dfsg1

=== debian/changelog ===
marco (1.8.3+dfsg1-3) experimental; urgency=medium

  * debian/patches:
    + Add 0009_fix-notifications-of-workspace-name-changes.patch. Make
      notifications of workspace name changes reach marco on-th-fly.
      (Closes: #782194).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Apr 2015 12:37:45 +0200

marco (1.8.3+dfsg1-2) experimental; urgency=medium

  * debian/patches:
    + Add 0008_glib243-keybindings-notifications-fix.patch. Make notifications
      of keybindings changes reach marco with GLib >= 2.43. (Closes: #782189,
      LP:#1426327).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Apr 2015 11:12:11 +0200

marco (1.8.3+dfsg1-1) experimental; urgency=medium

  * New upstream release.
    - Including GLib >= 2.43 compatibility patch. (Closes: #778694,
      LP:#1426327).
  * debian/patches:
    + Drop 0001_use-zenity-instead-of-mate-dialogs.patch.
    + Drop 0002_update-keybindings-files-with-new-name.patch.
    + Drop 0003_no-shadows-to-ARGB-windows.patch.
    + Drop 0005_fix-resizing-csd-windows.patch.
    + -> Above named patches included in this upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Mar 2015 13:48:40 +0100

=== debian/rules ===
#!/usr/bin/make -f

PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
UVER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
DTYPE = +dfsg1
VER  ?= $(subst $(DTYPE),,$(UVER))

DHFLAGS=--parallel

%:
	dh $@ $(DHFLAGS)

override_dh_install:
	rm -f debian/tmp/usr/lib/*/*.la
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules \
		--localstatedir=/var \
		--libexecdir=/usr/lib/mate-window-manager \
		--disable-static \
		--enable-startup-notification=yes \
		--disable-scrollkeeper

override_dh_strip:
	dh_strip -pmarco --dbg-package=marco-dbg
	dh_strip -plibmarco-private0 --dbg-package=libmarco-private0-dbg

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	    && $(RM) -r -v \
	        doc/creating_themes
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"

## marco 1.10.2

=== debian/changelog ===
marco (1.10.2-1) unstable; urgency=low

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches/2001_omit-gfdl-licensed-theme-documentation.patch:
    + Remove because Marco documentation is DFSG compliant.
  * debian/marco-common.install:
    + Add usr/share/help.
  * debian/rules:
    + Remove +dfsg1 suffix.
  * debian/watch:
    + Remove +dfsg1 suffix.
  * debian/copyright:
    + Update copyright attributions.

  [ Mike Gabriel ]
  * Upload to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Aug 2015 17:21:00 +0200

marco (1.10.1+dfsg1-1~exp1) experimental; urgency=low

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0004_dont-switch-workspace-when-switching-to-sticky-window.patch.
    Applied upstream.
    + Drop 0006_correct-name-for-missing-icon.patch. Applied upstream.
    + Drop 0007_correct-name-for-missing-icon-in-preview-widget.patch.
    Applied upstream.
    + Drop 0009_fix-notifications-of-workspace-name-changes.patch. Applied
    upstream.
  * debian/rules:
    + Remove obsolete --disable-scrollkeeper
    + Add --with-gtk=2.0

  [ Mike Gabriel ]
  * debian/control:
    + Versioned D: mate-common (>= 1.10).
  * debian/patches:
    + Drop 0008_glib243-keybindings-notifications-fix.patch. Applied upsream.
  * debian/rules:
    + Create orig tarball in ../ instead of $(CURDIR).
  * debian/copyright:
    + Drop src/ui/themewidget.{c,h}, not present anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 16 Jun 2015 04:28:53 +0200

marco (1.8.3+dfsg1-4) unstable; urgency=medium

  * Re-upload to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 May 2015 16:33:16 +0200

=== debian/control ===
Source: marco
Section: x11
Priority: optional
Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper (>= 9),
               intltool,
               libcanberra-gtk-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               libgtop2-dev,
               libice-dev,
               libpango1.0-dev,
               libsm-dev,
               libstartup-notification0-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxinerama-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               mate-common (>= 1.10),
               yelp-tools,
               zenity,
Standards-Version: 3.9.6
Homepage: http://www.mate-desktop.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/marco.git;a=summary
Vcs-Git: git://anonscm.debian.org/pkg-mate/marco.git

Package: marco
Architecture: any
Depends: libmarco-private0 (= ${binary:Version}),
         marco-common (= ${source:Version}),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: mate-window-manager (<= 1.0.0-2),
Provides: x-window-manager,
Description: lightweight GTK+ window manager for MATE
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the marco window manager itself.

Package: marco-common
Architecture: all
Depends: ${misc:Depends},
Breaks: mate-window-manager (<= 1.0.0-2),
Description: lightweight GTK+ window manager for MATE (common files)
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the architecture independent files.

Package: marco-dbg
Section: debug
Priority: extra
Architecture: any
Depends: marco (= ${binary:Version}),
         ${misc:Depends},
Description: lightweight GTK+ window manager for MATE (debugging symbols)
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the debugging symbols for the marco executable.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: libmarco-private0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libmarco,
        mate-window-manager (<= 1.0.0-2),
Replaces: libmarco,
Provides: libmarco,
Description: library for Marco window manager
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the library.

Package: libmarco-private0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libmarco-private0 (= ${binary:Version}),
         ${misc:Depends},
Breaks: marco-dbg (<= 1.6.2-1~),
Replaces: marco-dbg (<= 1.6.2-1~),
Description: library for Marco window manager (debugging symbols)
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains debugging symbols for the library.
 .
 The debugging symbols are installed in /usr/lib/debug and will
 automatically be used by gdb.

Package: libmarco-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmarco-private0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: mate-window-manager (<= 1.0.0-2),
Description: library for Marco window manager (development files)
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the development files.

## marco 1.12.0.1

=== debian/changelog ===
marco (1.12.0.1-1+rosa) rosa; urgency=medium

  * Updated translations
  * Revert "Merge pull request #115 from Samsagax/animation-fix-clean"

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 20 Nov 2015 14:12:32 +0000

marco (1.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Nov 2015 13:17:01 +0000

marco (1.11.1-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Mon, 26 Oct 2015 18:05:53 +0300

marco (1.11.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Thu, 15 Oct 2015 16:57:57 +0300

marco (1.10.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Thu, 20 Aug 2015 20:12:42 +0300

marco (1.10.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Thu, 25 Jun 2015 12:38:24 +0300

marco (1.10.0-1) unstable; urgency=low

  * New upstream release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 06 Apr 2015 19:00:47 +0200

marco (1.9.90-1) unstable; urgency=low

  * New upstream release candidate

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 25 Feb 2015 23:32:35 +0100

marco (1.9.4-1) unstable; urgency=medium

  * New upstream development release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Wed, 14 Jan 2015 11:31:23 +0100

marco (1.9.2-1) unstable; urgency=low

  * New upstream development release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Sun, 12 Oct 2014 14:45:47 +0200

marco (1.9.0-1) unstable; urgency=low

  * New upstream development release

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 17 Mar 2014 19:09:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: marco
 Section: x11
 Priority: optional
-Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
@@ -25,18 +25,17 @@
                libxrandr-dev,
                libxrender-dev,
                libxt-dev,
-               mate-common (>= 1.10),
+               mate-common (>= 1.12),
                yelp-tools,
                zenity,
 Standards-Version: 3.9.6
 Homepage: http://www.mate-desktop.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/marco.git;a=summary
-Vcs-Git: git://anonscm.debian.org/pkg-mate/marco.git
 
 Package: marco
 Architecture: any
 Depends: libmarco-private0 (= ${binary:Version}),
          marco-common (= ${source:Version}),
+         mate-desktop-common (>= 1.12),
          zenity,
          ${misc:Depends},
          ${shlibs:Depends},

## marco 1.12.1

=== debian/changelog ===
marco (1.12.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release. (LP:#1495313).
  * debian/control:
    + Versioned B-D: mate-common (>= 1.12).
    + Add mate-desktop-common to marco Depends. (LP:#1473285).

  [ Mike Gabriel ]
  * debian/marco-common.install:
    + Avoid empty directory /usr/share/MateConf.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Dec 2015 11:45:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: marco
 Section: x11
 Priority: optional
-Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
+Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
@@ -30,6 +30,8 @@
                zenity,
 Standards-Version: 3.9.6
 Homepage: http://www.mate-desktop.org/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mate/marco.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-mate/marco.git
 
 Package: marco
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--parallel

%:
	dh $@ $(DHFLAGS)

override_dh_install:
	rm -rfv debian/tmp/usr/share/MateConf/gsettings/marco.convert
	rm -f debian/tmp/usr/lib/*/*.la
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules \
		--localstatedir=/var \
		--libexecdir=/usr/lib/mate-window-manager \
		--disable-static \
		--enable-startup-notification=yes \
		--with-gtk=2.0

override_dh_strip:
	dh_strip -pmarco --dbg-package=marco-dbg
	dh_strip -plibmarco-private0 --dbg-package=libmarco-private0-dbg

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
http://git.mate-desktop.org/marco/ \
    snapshot/marco-(\d\.(?:[0-9]+|)[24680]\.\d)\.tar\.xz

## marco 1.14.2

=== debian/changelog ===
marco (1.14.2-3) unstable; urgency=medium

  * debian/copyright:
    + Explicitly mention GFDL-1.2+ licensed file
      doc/creating_themes/C/index.docbook. Thanks to
      Thorsten Alteholz for spotting this.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 May 2016 00:10:35 +0200

marco (1.14.2-2) unstable; urgency=medium

  * dbgsym: Don't build dbg:packages anymore.
    See https://wiki.debian.org/AutomaticDebugPackages.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 May 2016 01:34:45 +0200

marco (1.14.2-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Versioned B-D on dpkg-dev (>= 1.16.1.1).
    + Use encrypted URLs for Vcs-*: field.
    + Add myself to Uploaders: field.
  * debian/rules:
    + Enable all hardening flags.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Versioned B-D: mate-common (>= 1.14)
    + B-D: libgtk-3-dev
    + B-D: libcanberra-gtk3-dev
    + Versioned D (marco): mate-desktop-common (>= 1.14).
  * debian/rules:
    + MateConf dropped upstream.
    + Add --with-gtk=3.0
  * debian/copyright:
    + Update copyright attributions.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards to 3.9.8. No changes needed.
  * SONAME change (libmarco-private0 -> libmarco-private1).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 20 May 2016 16:42:39 +0200

=== debian/control ===
Source: marco
Section: x11
Priority: optional
Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Mike Gabriel <sunweaver@debian.org>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libcanberra-gtk3-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libgtop2-dev,
               libice-dev,
               libpango1.0-dev,
               libsm-dev,
               libstartup-notification0-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxinerama-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               mate-common (>= 1.14),
               yelp-tools,
               zenity,
Standards-Version: 3.9.8
Homepage: http://www.mate-desktop.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/marco.git
Vcs-Git: https://anonscm.debian.org/git/pkg-mate/marco.git

Package: marco
Architecture: any
Depends: libmarco-private1 (= ${binary:Version}),
         marco-common (= ${source:Version}),
         mate-desktop-common (>= 1.14),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: mate-window-manager (<= 1.0.0-2),
Provides: x-window-manager,
Description: lightweight GTK+ window manager for MATE
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the marco window manager itself.

Package: marco-common
Architecture: all
Depends: ${misc:Depends},
Breaks: mate-window-manager (<= 1.0.0-2),
Description: lightweight GTK+ window manager for MATE (common files)
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the architecture independent files.

Package: libmarco-private1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libmarco,
        mate-window-manager (<= 1.0.0-2),
        libmarco-private0,
Replaces: libmarco,
          libmarco-private0,
Provides: libmarco,
Description: library for Marco window manager
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the library.

Package: libmarco-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmarco-private1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: mate-window-manager (<= 1.0.0-2),
Description: library for Marco window manager (development files)
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the development files.

## marco 1.16.0

=== debian/changelog ===
marco (1.16.0-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 26 Sep 2016 13:17:09 -0700

marco (1.16.0-0~14.04.york0) trusty; urgency=medium

  * New upstream release

 -- Jonathon Fernyhough <jonathon.fernyhough@york.ac.uk>  Tue, 20 Sep 2016 20:14:15 +0100

marco (1.15.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 15 Jun 2016 10:49:53 +0300

marco (1.14.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 20 Apr 2016 15:23:19 +0300

marco (1.14.0-1) unstable; urgency=medium

  * New upstream release

 -- Vlad Orlov <monsta@inbox.ru>  Mon, 11 Apr 2016 11:30:37 +0300

marco (1.13.1-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Wed, 24 Feb 2016 14:02:09 +0300

marco (1.13.0-1) unstable; urgency=medium

  * New upstream development release

 -- Vlad Orlov <monsta@inbox.ru>  Tue, 16 Feb 2016 11:39:15 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: marco
 Section: x11
 Priority: optional
-Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
 Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
            Stefano Karapetsas <stefano@karapetsas.com>,
            Mike Gabriel <sunweaver@debian.org>,
@@ -9,9 +11,9 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1.1),
                intltool,
-               libcanberra-gtk3-dev,
+               libcanberra-gtk-dev,
                libglib2.0-dev,
-               libgtk-3-dev,
+               libgtk2.0-dev,
                libgtop2-dev,
                libice-dev,
                libpango1.0-dev,
@@ -27,19 +29,17 @@
                libxrandr-dev,
                libxrender-dev,
                libxt-dev,
-               mate-common (>= 1.14),
+               mate-common (>= 1.15),
                yelp-tools,
                zenity,
-Standards-Version: 3.9.8
+Standards-Version: 3.9.7
 Homepage: http://www.mate-desktop.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/marco.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-mate/marco.git
 
 Package: marco
 Architecture: any
-Depends: libmarco-private1 (= ${binary:Version}),
+Depends: libmarco-private0 (= ${binary:Version}),
          marco-common (= ${source:Version}),
-         mate-desktop-common (>= 1.14),
+         mate-desktop-common (>= 1.15),
          zenity,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -61,7 +61,22 @@
  .
  This package contains the architecture independent files.
 
-Package: libmarco-private1
+Package: marco-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: marco (= ${binary:Version}),
+         ${misc:Depends},
+Description: lightweight GTK+ window manager for MATE (debugging symbols)
+ Marco is a small window manager, using GTK+ to do everything. It is
+ developed mainly for the MATE Desktop.
+ .
+ This package contains the debugging symbols for the marco executable.
+ .
+ The debugging symbols are installed in /usr/lib/debug and will
+ automatically be used by gdb.
+
+Package: libmarco-private0
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -69,9 +84,7 @@
          ${shlibs:Depends},
 Breaks: libmarco,
         mate-window-manager (<= 1.0.0-2),
-        libmarco-private0,
 Replaces: libmarco,
-          libmarco-private0,
 Provides: libmarco,
 Description: library for Marco window manager
  Marco is a small window manager, using GTK+ to do everything. It is
@@ -79,11 +92,29 @@
  .
  This package contains the library.
 
+Package: libmarco-private0-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Multi-Arch: same
+Depends: libmarco-private0 (= ${binary:Version}),
+         ${misc:Depends},
+Breaks: marco-dbg (<= 1.6.2-1~),
+Replaces: marco-dbg (<= 1.6.2-1~),
+Description: library for Marco window manager (debugging symbols)
+ Marco is a small window manager, using GTK+ to do everything. It is
+ developed mainly for the MATE Desktop.
+ .
+ This package contains debugging symbols for the library.
+ .
+ The debugging symbols are installed in /usr/lib/debug and will
+ automatically be used by gdb.
+
 Package: libmarco-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmarco-private1 (= ${binary:Version}),
+Depends: libmarco-private0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: mate-window-manager (<= 1.0.0-2),

## marco 1.16.1

=== debian/changelog ===
marco (1.16.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix strange window switching foreground/background behavior.
      (Closes: #828077).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 Jun 2017 18:20:27 +0200

marco (1.16.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release. (Closes: #838725).

  [ Mike Gabriel ]
  * debian/changelog:
    + Fix missing changelog items for 1.15.1-0ubuntu1 upload.
  * debian/control:
    + Dependencies updated for MATE 1.16.
  * debian/watch:
    + Update version matching again to _not_ support development releases.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 01 Oct 2016 16:07:35 +0200

marco (1.15.0-0ubuntu1) yakkety; urgency=medium

  * New upstream development release.
  * debian/control:
    + Dependencies updated for MATE 1.15.
  * debian/watch:
    + Update version matching to support development releases.

 -- Martin Wimpress <code@flexion.org>  Fri, 09 Sep 2016 13:04:47 +0100

=== debian/control ===
Source: marco
Section: x11
Priority: optional
Maintainer: MATE Packaging Team <pkg-mate-team@lists.alioth.debian.org>
Uploaders: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>,
           Stefano Karapetsas <stefano@karapetsas.com>,
           Mike Gabriel <sunweaver@debian.org>,
           Vangelis Mouhtsis <vangelis@gnugr.org>,
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libcanberra-gtk3-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libgtop2-dev,
               libice-dev,
               libpango1.0-dev,
               libsm-dev,
               libstartup-notification0-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxinerama-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               mate-common (>= 1.16),
               yelp-tools,
               zenity,
Standards-Version: 3.9.8
Homepage: http://www.mate-desktop.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-mate/marco.git
Vcs-Git: https://anonscm.debian.org/git/pkg-mate/marco.git

Package: marco
Architecture: any
Depends: libmarco-private1 (= ${binary:Version}),
         marco-common (= ${source:Version}),
         mate-desktop-common (>= 1.16),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: mate-window-manager (<= 1.0.0-2),
Provides: x-window-manager,
Description: lightweight GTK+ window manager for MATE
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the marco window manager itself.

Package: marco-common
Architecture: all
Depends: ${misc:Depends},
Breaks: mate-window-manager (<= 1.0.0-2),
Description: lightweight GTK+ window manager for MATE (common files)
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the architecture independent files.

Package: libmarco-private1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libmarco,
        mate-window-manager (<= 1.0.0-2),
        libmarco-private0,
Replaces: libmarco,
          libmarco-private0,
Provides: libmarco,
Description: library for Marco window manager
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the library.

Package: libmarco-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmarco-private1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: mate-window-manager (<= 1.0.0-2),
Description: library for Marco window manager (development files)
 Marco is a small window manager, using GTK+ to do everything. It is
 developed mainly for the MATE Desktop.
 .
 This package contains the development files.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,15 @@
 #!/usr/bin/make -f
 
 DHFLAGS=--parallel
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ $(DHFLAGS)
 
 override_dh_install:
-	rm -rfv debian/tmp/usr/share/MateConf/gsettings/marco.convert
 	rm -f debian/tmp/usr/lib/*/*.la
 	dh_install --fail-missing
 
@@ -22,11 +25,11 @@
 		--libexecdir=/usr/lib/mate-window-manager \
 		--disable-static \
 		--enable-startup-notification=yes \
-		--with-gtk=2.0
+		--with-gtk=3.0
 
 override_dh_strip:
-	dh_strip -pmarco --dbg-package=marco-dbg
-	dh_strip -plibmarco-private0 --dbg-package=libmarco-private0-dbg
+	dh_strip -pmarco --dbgsym-migration='marco-dbg (<< 1.14.2-2~)'
+	dh_strip -plibmarco-private1 --dbgsym-migration='libmarco-private1-dbg (<< 1.14.2-2~)'
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## marco 1.18.0

=== debian/changelog ===
marco (1.18.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Mon, 13 Mar 2017 18:12:38 +0000

marco (1.17.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Thu, 19 Jan 2017 16:50:53 +0000

marco (1.17.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Thu, 12 Jan 2017 15:03:52 +0000

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                libxrandr-dev,
                libxrender-dev,
                libxt-dev,
-               mate-common (>= 1.16),
+               mate-common (>= 1.18),
                yelp-tools,
                zenity,
 Standards-Version: 3.9.8
@@ -39,7 +39,7 @@
 Architecture: any
 Depends: libmarco-private1 (= ${binary:Version}),
          marco-common (= ${source:Version}),
-         mate-desktop-common (>= 1.16),
+         mate-desktop-common (>= 1.18),
          zenity,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -68,8 +68,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libmarco,
+        libmarco-private0,
         mate-window-manager (<= 1.0.0-2),
-        libmarco-private0,
 Replaces: libmarco,
           libmarco-private0,
 Provides: libmarco,

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,7 @@
 		--localstatedir=/var \
 		--libexecdir=/usr/lib/mate-window-manager \
 		--disable-static \
-		--enable-startup-notification=yes \
-		--with-gtk=3.0
+		--enable-startup-notification=yes
 
 override_dh_strip:
 	dh_strip -pmarco --dbgsym-migration='marco-dbg (<< 1.14.2-2~)'
